#Module-Specific definitions
%define mod_version 1.98
%define release 1mdk
%define mod_name mod_log_sql
%define mod_conf A25_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.48-1mdk

Summary:	Logs to MySQL
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0: 	%{mod_name}-%{mod_version}.tar.bz2
Source1:	%{mod_conf}.bz2
License:	Apache License
URL:		http://www.outoforder.cc/projects/apache/mod_log_sql/
BuildRequires:	MySQL-devel
#BuildRequires:	openssl-devel
Provides:	%{ap_name}-%{mod_name}
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
mod_log_sql offers Apache administrators the ability to log accesses
to a MySQL database. This capability can replace or coexist with Apache's
regular text-file logging mechanisms. mod_log_sql is production-ready
and is known to work with high volume webservers and webserver clusters
supporting over 100,000 hits per day.

%prep

%setup -q -n mod_log_sql-%{mod_version}

%build

%configure2_5x \
    --with-apxs=%{apxs} \
    --with-mysql=%{_prefix}

#    --enable-ssl \
#    --with-ssl-inc=%{_includedir}/openssl \
#    --with-db-inc=%{_includedir}/db1

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{ap_extralibs}
install -m0755 .libs/mod_log_sql.so %{buildroot}%{ap_extralibs}/
install -m0755 .libs/mod_log_sql_mysql.so %{buildroot}%{ap_extralibs}/

%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

cp contrib/README README.contrib

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG INSTALL LICENSE TODO README* docs/*.html contrib/*.sql
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/mod_log_sql.so
%{ap_extralibs}/mod_log_sql_mysql.so
%{ap_webdoc}/*

%changelog
* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.98-1mdk
- built for apache 2.0.50

* Mon Jun 21 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_1.98-1mdk
- initial cooker contrib
